\input {_cls2.cls}

\usepackage{epsfig}
%\input {article.cls}
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amssymb}
\usepackage{amsfonts}
%\usepackage[dvips]{graphicx}
\usepackage[dvips]{color}
\usepackage{floatflt}
\usepackage{array}
\usepackage{multicol}
\usepackage{textcase}
\usepackage{fancyhdr}
\usepackage{tabularx}
\usepackage{amsopn}
\usepackage{subfigure}
\usepackage{cite}
\usepackage{amscd}%  ,  

\usepackage[all]{xy}
\usepackage[mathscr]{eucal}

\usepackage[small]{caption2}
%\usepackage[centerlast,small]{caption2}
%\usepackage[center,small]{caption2}
\renewcommand{\captionlabeldelim}{.}
\renewcommand\citepunct{, }



\righthyphenmin=2
\emergencystretch=5pt
\hfuzz=2pt
\mathsurround=0.1em
\clubpenalty=1000%
\widowpenalty=1000%
\brokenpenalty=2000%
\frenchspacing%
\tolerance=9000%
\hbadness=1500%
\doublehyphendemerits=50000%
\finalhyphendemerits=25000%
\adjdemerits=50000%
\pagestyle{myheadings}
\setlength{\topmargin}{-0.75cm}%{-1.5cm}
\setlength{\headheight}{1.0cm}
%----------------------
\setlength{\headsep}{0.65cm} %g_n
\setlength{\textheight}{21.72cm}
%\setlength{\oddsidemargin}{1.5cm} %gggg   
\setlength{\oddsidemargin}{1.25cm}
\setlength{\evensidemargin}{1.25cm}
\setlength{\textwidth}{13.3cm}
%\hoffset=1.31cm

%----------------------
\renewcommand{\baselinestretch}{1.0}


\newcounter{section1} \setcounter{section1}{1}
\newcounter{Theorem*} \setcounter{Theorem*}{0}
\newcounter{Statement*} \setcounter{Statement*}{0}
\newcounter{Sequence*} \setcounter{Sequence*}{0}
\newcounter{Remark*} \setcounter{Remark*}{0}
\newcounter{Definition*} \setcounter{Definition*}{0}
%\newcounter{Theorem_s} \setcounter{Theorem_s}{0}
%\newcounter{Proposal_s} \setcounter{Proposal_s}{0}
%\newcounter{Definition_s} \setcounter{Definition_s}{0}

\theoremstyle{plain}
\newtheorem{Theorem}{\hskip\parindent }
\newtheorem{Theorem_s}{\hskip\parindent }[section1]
\newtheorem*{Theorem*}{\hskip\parindent }
\newtheorem{Lemma}{\hskip\parindent }
\newtheorem{Proposal}{\hskip\parindent }
\newtheorem{Proposal_s}{\hskip\parindent }[section1]
\newtheorem{Sequence}{\hskip\parindent }
\newtheorem*{Sequence*}{\hskip\parindent }
\newtheorem*{Statement*}{\hskip\parindent }

\theoremstyle{definition}
\newtheorem{Axiom}{\hskip\parindent }
\newtheorem{Example}{\hskip\parindent }
\newtheorem{Definition}{\hskip\parindent }
\newtheorem*{Definition*}{\hskip\parindent }
\newtheorem{Definition_s}{\hskip\parindent }[section1]
\newtheorem*{Remark*}{\hskip\parindent }
\newtheorem{Remark}{\hskip\parindent }

\theoremstyle{remark}
%\newtheorem*{Remark}{\hskip\parindent }
\newtheorem{Case}{\hskip\parindent }





\newcommand{\UDK}[1]{\def\Audk{ #1}}
\newcommand{\ArticleNAME}[1]{\def\Aname{#1}}
\newcommand{\ArticleAUTHOR}[1]{\def\Author{#1}}
\newcommand{\ArticleADRESS}[1]{\def\Adress{#1}}
\newcommand{\ArticleHEAD}[1]{\def\Ahead{#1}}
\newcommand{\ArticleAUTHORHEAD}[1]{\def\Authorhead{#1}}
%\newcommand{\ArticleFOOTNOTE}[1]{\def\Afootnote{#1}}



\renewcommand{\theenumi}{\Alph{enumi}}
\renewcommand \thesection {\arabic{section}.}
\renewcommand \thesubsection {\thesection \arabic{subsection}.}
\renewcommand \thesubsubsection {\thesubsection \arabic{subsubsection}.}

%\renewcommand{\refname}{\begin{center}{\normalsize\rm }\end{center}}
%\renewcommand{\refname}{\small {}}
\renewcommand{\@biblabel}[1]{#1. \hfill}

\def\References#1{{\small%
\baselineskip=12pt
%\baselineskip=6pt
\begin{thebibliography}{99}
{#1}\end{thebibliography}}}




\newcounter{myfootnote}[page]
\renewcommand{\@makefnmark}{\hbox{\mathsurround=0pt $^{\@thefnmark }$}}
\newcommand{\absfootnote}[1]{%
  \setcounter{footnote}{\value{myfootnote}}%
  \footnote{{\normalsize #1}}%
  \addtocounter{myfootnote}{1}}

\def\l@contst#1#2{\addpenalty{\@secpenalty}%
   \addvspace{.25em plus\p@}%
   \begingroup
   \@tempdima 3em
     \parindent \z@ \rightskip \@pnumwidth
     \parfillskip -\@pnumwidth
     {\rm
     \leavevmode
     #1\dotfill \hbox to\@pnumwidth{\hss #2}}\par
     \nobreak
   \endgroup}

\def\makeabstitle{ %
%\newpage
%\addtolength{\headheight}{0.45cm}
%\thispagestyle{fancy}
%\renewcommand{\headrulewidth}{0pt}
\fancyhf{}
%\fancyhead[C]{}
%\fancyhead[C]{~ \vskip14pt \small
%\fancyhead[RO,LE]{\thepage}
\fancyhead[RO,LE]{\small \MakeUppercase {\tiny \hfill \Author  \hfill}
%\\ \vskip0.3mm \hrule  \raggedright
%\hfill
%\centering {- }
%\hfill \raggedleft{\sl 2007}
}

\begingroup
  \setcounter{part}{0}
  \setcounter{section}{0}
  \setcounter{section1}{1}
  \setcounter{subsection}{0}
  \setcounter{figure}{0}
  \setcounter{table}{0}
  \setcounter{equation}{0}
  \setcounter{Theorem}{0}
  \setcounter{Theorem*}{0}
  \setcounter{Lemma}{0}
  \setcounter{Axiom}{0}
  \setcounter{Sequence}{0}
  \setcounter{Sequence*}{0}
  \setcounter{Example}{0}
  \setcounter{Remark}{0}
  \setcounter{Remark*}{0}
  \setcounter{Case}{0}
  \setcounter{Proposal}{0}
  \setcounter{Definition}{0}
  \setcounter{Proposal_s}{0}
  \setcounter{Theorem_s}{0}
  \setcounter{Definition_s}{0}
  \setcounter{footnote}{0}
  \setcounter{tocdepth}{0}
  \setcounter{secnumdepth}{5}
%  \if chapter
%  \setcounter{chapter}{0} \fi
\endgroup

%\vspace*{14pt}
%\vspace*{18pt}
\vspace{-20pt}
\nopagebreak[4]
 \noindent
 % \begin{flushleft}%   gggggg
%   \Audk
%  \end{flushleft}% ggggggg
%  \vspace{1pt}
%  \vspace{-2pt}
    \begin{center}%
    {{ \bf \Author}}
    \vskip 1pt
    {\it \Adress}
    \vskip 6pt
     \bf \Aname%
%  \if\Afootnote \else %ggggg
%  \footnote{\Afootnote}
%  \fi
  \par%
  \nopagebreak[4]
  \vskip 2pt
   \nopagebreak[4]\par%}%
 \end{center}%
 \addcontentsline{toc}{contst}{{\Author}  {\it \Aname}}
 \par
 \nopagebreak[4]
 %\vskip .25em
 \nopagebreak[4]
\markboth{\hbox{\MakeUppercase{\tiny \Author}}}{\hbox{\MakeUppercase{\tiny \Author}}}
 }


\def\headhelp#1#2{\raisebox{0pt}[\headheight][0pt]{\vbox{%
\hbox to \textwidth{#2}\hrule height #1 pt}}}
\renewcommand{\@evenhead}{}
\renewcommand{\@oddhead}{}
\renewcommand{\@oddhead}{%
\headhelp{0.4}{ \hfil \strut \leftmark \hfil \scriptsize {\thepage}}}
\renewcommand{\@evenhead}{%
\headhelp{0.4}{\scriptsize{\thepage} \hfil \strut \rightmark \hfil}}



\renewcommand{\section}{\@startsection{section}{1}%
%{0pt}{3.5ex plus 1ex minus .2ex}%
%{2.3ex plus .2ex}
{0pt}{16pt}%
{4pt}
{\bf \centering }}

\renewcommand\subsection{\@startsection{subsection}{2}{\parindent}%
%{-3.25ex\@plus -1ex \@minus -.2ex}%
{\baselineskip}{0pt}
%{1.5ex \@plus .2ex}%
{\bf } }

\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\parindent}%
%{-3.25ex\@plus -1ex \@minus -.2ex}%
{\baselineskip}{0pt}
%{1.5ex \@plus .2ex}%
{\bf } }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%  ABSTRACTS          %%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\renewenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname%\vspace{\baselineskip}%
          \vspace{-0.4em}%\vspace{\z@}
          }%
        \end{center}%
        \par
        \fi}

\usepackage[T2A]{fontenc}
\usepackage[cp1251]{inputenc}
\usepackage[english,russian]{babel}
%\usepackage[russian,english]{babel}

\def\refname{}
\def\abstractname{}


\renewcommand\@dotsep{4.5}
\renewcommand\@pnumwidth{1cm}
%\renewcommand\@pnumwidth{1.55em}
%     ""  ..
%    \chatper*  
%      \addcontentsline{toc}{nonumchap}{ ...}
%\newcommand{\l@nonumchap}[2]{\hbox to\textwidth {#1 \dotfill#2}}
\newcommand{\l@nonumchap}[2]{%
  \ifnum \c@tocdepth >\m@ne
    \addpenalty{-\@highpenalty}%
%    \vskip 1.0em\@plus\p@
    \vspace{3pt}
%    \setlength\@tempdima{1.5em}%
    \setlength\@tempdima{6em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
%      #1\nobreak \hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      {\rm #1}\nobreak \dotfill \nobreak \hb@xt@\@pnumwidth{\hss {\rm #2}}\par
%      {\rm #1}\nobreak \hfil \nobreak\hb@xt@\@pnumwidth{\hss {\rm #2}}\par
      \penalty\@highpenalty
    \endgroup
  \fi}






%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%     .
\begingroup
\catcode`+\active
\gdef+{\mathchar"202B\nobreak\discretionary{}{\usefont{OT1}{cmr}{m}{n}\char43}{}}
\catcode`-\active
\gdef-{\mathchar"2200\nobreak\discretionary{}{\usefont{OMS}{cmsy}{m}{n}\char0}{}}
\catcode`=\active
\gdef={\mathchar"303D\nobreak\discretionary{}{\usefont{OT1}{cmr}{m}{n}\char61}{}}
\catcode`<\active
\gdef<{\mathchar"313C\nobreak\discretionary{}{\usefont{OML}{cmm}{m}{it}\char"3C}{}}
\catcode`>\active
\gdef>{\mathchar"313E\nobreak\discretionary{}{\usefont{OML}{cmm}{m}{it}\char"3E}{}}


\catcode`(\active \gdef({\ifmmode\char`(\else\ifhmode\/\fi\textup{\char`(}\fi}
\catcode`)\active \gdef){\ifmmode\char`)\else\ifhmode\/\fi\textup{\char`)}\fi}
\catcode`:\active \gdef:{\ifmmode\char`:\else\ifhmode\/\fi\textup{\char`:}\fi}
\catcode`;\active \gdef;{\ifmmode\char`;\else\ifhmode\/\fi\textup{\char`;}\fi}
\catcode`,\active \gdef,{\ifmmode\char`,\else\ifhmode\/\fi\textup{\char`,}\fi}
\catcode`.\active \gdef.{\ifmmode\char`.\else\ifhmode\/\fi\textup{\char`.}\fi}
\catcode`!\active \gdef!{\ifmmode\char`!\else\ifhmode\/\fi\textup{\char`!}\fi}
\catcode`?\active \gdef?{\ifmmode\char`?\else\ifhmode\/\fi\textup{\char`?}\fi}

%\catcode`0\active \gdef0{\ifmmode\char`0\else\ifhmode\/\fi\textup{\char`0}\fi}
%\catcode`1\active \gdef1{\ifmmode\char`1\else\ifhmode\/\fi\textup{\char`1}\fi}
%\catcode`2\active \gdef2{\ifmmode\char`2\else\ifhmode\/\fi\textup{\char`2}\fi}
%\catcode`3\active \gdef3{\ifmmode\char`3\else\ifhmode\/\fi\textup{\char`3}\fi}
%\catcode`4\active \gdef4{\ifmmode\char`4\else\ifhmode\/\fi\textup{\char`4}\fi}
%\catcode`5\active \gdef5{\ifmmode\char`5\else\ifhmode\/\fi\textup{\char`5}\fi}
%\catcode`6\active \gdef6{\ifmmode\char`6\else\ifhmode\/\fi\textup{\char`6}\fi}
%\catcode`7\active \gdef7{\ifmmode\char`7\else\ifhmode\/\fi\textup{\char`7}\fi}
%\catcode`8\active \gdef8{\ifmmode\char`8\else\ifhmode\/\fi\textup{\char`8}\fi}
%\catcode`9\active \gdef9{\ifmmode\char`9\else\ifhmode\/\fi\textup{\char`9}\fi}

\endgroup

%%     .       (?).
\def\uncatcodedelims{\catcode`(12 \catcode`)12 \catcode`.12 }
\def\activateit{\catcode`(13 \catcode`)13 \catcode`:13 \catcode`;13 \catcode`,13 \catcode`.13 \catcode`!13 \catcode`?13
%     \catcode`0=13 \catcode`1=13 \catcode`2=13 \catcode`3=13 \catcode`4=13
%     \catcode`5=13 \catcode`6=13 \catcode`7=13 \catcode`8=13 \catcode`9=13
     \everymath{\uncatcodedelims}\everydisplay{\uncatcodedelims}%
}
\long\def\takearg#1{#1\/\egroup}
\long\def\acit{\leavevmode\bgroup\itshape\activateit\takearg}
\long\def\acsl{\leavevmode\bgroup\slshape\activateit\takearg}
\newenvironment{actit}{\bgroup\itshape\activateit}{\/\egroup}
\newenvironment{actsl}{\bgroup\slshape\activateit}{\/\egroup}

\AtBeginDocument{\mathcode`+="8000\mathcode`-="8000\mathcode`=="8000\mathcode`<="8000\mathcode`>="8000}

%\def\times{\mathchar"2202\nobreak\discretionary{}{\usefont{OMS}{cmsy}{m}{n}\char2}{}}

\def\times{\mathchar"2202\nobreak\discretionary{}{\hbox{$\mathchar"2202$}}{}}
\def\*{\discretionary{\hbox{$\mskip\medmuskip\mathchar"2202$}}{\hbox{$\mathchar"2202 \mskip\medmuskip$}}{}}
\def\equiv{\mathchar"3211\nobreak\discretionary{}{\hbox{$\mathchar"3211$}}{}}

\def\subseteq{\mathchar"3212\nobreak\discretionary{}{\hbox{$\mathchar"3212$}}{}}
\def\supseteq{\mathchar"3213\nobreak\discretionary{}{\hbox{$\mathchar"3213$}}{}}
\def\subset{\mathchar"321A\nobreak\discretionary{}{\hbox{$\mathchar"321A$}}{}}
\def\supset{\mathchar"321B\nobreak\discretionary{}{\hbox{$\mathchar"321B$}}{}}
\def\prec{\mathchar"321E\nobreak\discretionary{}{\hbox{$\mathchar"321E$}}{}}
\def\succ{\mathchar"321F\nobreak\discretionary{}{\hbox{$\mathchar"321F$}}{}}

\def\sim{\mathchar"3218\nobreak\discretionary{}{\hbox{$\mathchar"3218$}}{}}
\def\simeq{\mathchar"3227\nobreak\discretionary{}{\hbox{$\mathchar"3227$}}{}}
\def\approx{\mathchar"3219\nobreak\discretionary{}{\hbox{$\mathchar"3219$}}{}}
\def\propto{\mathchar"322F\nobreak\discretionary{}{\hbox{$\mathchar"322F$}}{}}
\def\gtrsim{\mathchar"3426\nobreak\discretionary{}{\hbox{$\mathchar"3426$}}{}}
\def\lesssim{\mathchar"342E\nobreak\discretionary{}{\hbox{$\mathchar"342E$}}{}}
\def\in{\mathchar"3232\nobreak\discretionary{}{\hbox{$\mathchar"3232$}}{}}
\def\ne{\mathrel{\not\mathchar"303D}\nobreak\discretionary{}{\hbox{$\not\mathchar"303D$}}{}}
\def\le{\mathchar"3436\nobreak\discretionary{}{\hbox{$\mathchar"3436$}}{}}
\def\ge{\mathchar"343E\nobreak\discretionary{}{\hbox{$\mathchar"343E$}}{}}
\def\ll{\mathchar"321C\nobreak\discretionary{}{\hbox{$\mathchar"321C$}}{}}
\def\gg{\mathchar"321D\nobreak\discretionary{}{\hbox{$\mathchar"321D$}}{}}
\def\pm{\mathchar"2206\nobreak\discretionary{}{\hbox{$\mathchar"2206$}}{}}
\def\mp{\mathchar"2207\nobreak\discretionary{}{\hbox{$\mathchar"2207$}}{}}
\def\cap{\mathchar"225C\nobreak\discretionary{}{\hbox{$\mathchar"225C$}}{}}
\def\cup{\mathchar"225B\nobreak\discretionary{}{\hbox{$\mathchar"225B$}}{}}

\def\leftarrow{\mathchar"3220\nobreak\discretionary{}{\hbox{$\mathchar"3220$}}{}}
\def\rightarrow{\mathchar"3221\nobreak\discretionary{}{\hbox{$\mathchar"3221$}}{}}
\def\Leftarrow{\mathchar"3228\nobreak\discretionary{}{\hbox{$\mathchar"3228$}}{}}
\def\Rightarrow{\mathchar"3229\nobreak\discretionary{}{\hbox{$\mathchar"3229$}}{}}
\def\Leftrightarrow{\mathchar"322C\nobreak\discretionary{}{\hbox{$\mathchar"322C$}}{}}
\let\to=\rightarrow

%\def\cdot{\mathchar"2201\nobreak\discretionary{}{\hbox{$\mathchar"2201$}}{}}
%   ..
\let\cdotf\cdot
%\def\cdot{\mathchar"2201\nobreak\discretionary{%
%    \psset{fillcolor=white,framesep=3\p@}\rput*[b](0,.07){}\kern-.3em
%    \hbox{$\mathchar"2202$}}{\hbox{$\mathchar"2202$}}{}}



% old
%\def\dots{\nobreak\ldots\nobreak\discretionary{}{\hbox{\ldots}}{}}
%\def\textellipsis{.\kern.5\fontdimen3\font.\kern.5\fontdimen3\font.}
%\def\mathellipsis{\mathinner{\ldotp\kern-1\p@\ldotp\kern-1\p@\ldotp}}

% dvg
\let\savedots=\dots \let\saveldots=\ldots
\def\textellipsis{.\kern.5\fontdimen3\font.\kern.5\fontdimen3\font.}
\def\ldotp@{\hbox{.}}
\def\mathellipsis{\mathinner{\mathchoice%
  {\ldotp@\mkern2mu\ldotp@\mkern2mu\ldotp@}%
  {\ldotp@\mkern2mu\ldotp@\mkern2mu\ldotp@}%
  {\ldotp@\mkern.5mu\ldotp@\mkern.5mu\ldotp@}%
  {\ldotp@\ldotp@\ldotp@}%
}}
\def\ldots@{\ifmmode\def\ldots@@{\hbox{$\mathellipsis$}}\mathellipsis\else\let\ldots@@\textellipsis\textellipsis\fi}
\def\dots{\nobreak\ldots@\nobreak\discretionary{}{\ldots@@}{}}
\let\ldots=\dots
\def\@cdots{\mathinner{\cdotp\mkern-1mu\cdotp\mkern-1mu\cdotp}}


\let\old@min\-
\def\-{\ifmmode -\else\old@min\fi}
\let\old@plus\+
\def\+{\ifmmode +\else\old@plus\fi}
\let\old@equiv\=
\def\={\ifmmode =\else\old@equiv\fi}


\endinput
